- job:
    name: ldcg-python-manylinux-cache
    project-type: freestyle
    defaults: global
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
            everyone-flat:
                - job-read
                - job-extended-read
                - job-build
                - job-cancel
        - build-discarder:
            days-to-keep: 7
            num-to-keep: 7
    parameters:
        - string:
            name: PYTHON_PACKAGES
            default: ''
            description: 'space separated names of Python wheels to build'
        - string:
            name: EXTRA_DEPENDENCIES_CENTOS
            default: ''
            description: 'space separated names of extra package dependencies to install (CentOS 7)'
        - string:
            name: EXTRA_PYTHON_PACKAGES
            default: ''
            description: 'space separated names of extra Python wheels to install before build starts'
    disabled: false
    node: leg-aarch64
    concurrent: false
    display-name: 'Build some Python package wheels'
    wrappers:
        - timestamps
        - credentials-binding:
            - text:
                credential-id: snapshots-api-key
                variable: PUBLISH_KEY
    builders:
        - shell:
            !include-raw: ldcg-python-manylinux-cache/build.sh
        - shell:
            !include-raw: ldcg-python-manylinux-cache/publishers.sh
    publishers:
        - email:
            recipients: 'marcin.juszkiewicz@linaro.org'
